
/*
 * Step 4: Initialize the program database functionality and
 * write a simple hello world.
 */

#include <iostream.h>
#include <stdlib.h>

#include "Pi2API.h"

/* ---
--- */
int iRet;
void Step4( PIDB *pDB )
{
	cout << "Program running on " << PIPlatform_getDescription() << endl;
	cout << "Dumping the program DB:-" << endl;
	PIProgram_dbgDump( pDB, 0 );
	cout << "Done" << endl;
	cout << "Hello World" << endl;
	iRet = 0;
}

/* ---
--- */
int main()
{
	if ( PIProgram_enter( "dummy", PIPROGRAM_VERSION_1_0, Step4 ) )
		{
		cerr << "Program_enter() failed." << endl;
		exit( 1 );
		};

	return iRet;
}

